package com.ruoyi.system.domain_shate;

 
import java.time.LocalDateTime;

/**
 * @Author: JinSheng Song
 * @Date: 2022/7/7 9:36
 */

public class RegionIndex extends  SysSTEntity{
    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    private Integer id;


    private String zone;

    private  String year;

    private Double waterArea;

    private Double roadLength;

    private String imageDate;

    private String productCode;
    private String productCode1;


    private String createdBy;

    private LocalDateTime craeteTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getZone() {
        return zone;
    }

    public void setZone(String zone) {
        this.zone = zone;
    }

    public Double getWaterArea() {
        return waterArea;
    }

    public void setWaterArea(Double waterArea) {
        this.waterArea = waterArea;
    }

    public Double getRoadLength() {
        return roadLength;
    }

    public void setRoadLength(Double roadLength) {
        this.roadLength = roadLength;
    }

    public String getImageDate() {
        return imageDate;
    }

    public void setImageDate(String imageDate) {
        this.imageDate = imageDate;
    }

    public String getProductCode() {
        return productCode;
    }

    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public LocalDateTime getCraeteTime() {
        return craeteTime;
    }

    public void setCraeteTime(LocalDateTime craeteTime) {
        this.craeteTime = craeteTime;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }

    public String getProductCode1() {
        return productCode1;
    }

    public void setProductCode1(String productCode1) {
        this.productCode1 = productCode1;
    }
}